## EIterator

EIterator —

## Synopsis

    const void*         e_iterator_get                      (EIterator *iterator);
    void                e_iterator_reset                    (EIterator *iterator);
    void                e_iterator_last                     (EIterator *iterator);
    gboolean            e_iterator_next                     (EIterator *iterator);
    gboolean            e_iterator_prev                     (EIterator *iterator);
    void                e_iterator_delete                   (EIterator *iterator);
    void                e_iterator_insert                   (EIterator *iterator,
                                                             const void *object,
                                                             gboolean before);
    void                e_iterator_set                      (EIterator *iterator,
                                                             const void *object);
    gboolean            e_iterator_is_valid                 (EIterator *iterator);
    void                e_iterator_invalidate               (EIterator *iterator);

## Description

## Details

### e_iterator_get ()

    const void*         e_iterator_get                      (EIterator *iterator);

`iterator` : |
Returns : |

### e_iterator_reset ()

    void                e_iterator_reset                    (EIterator *iterator);

`iterator` : |

### e_iterator_last ()

    void                e_iterator_last                     (EIterator *iterator);

`iterator` : |

### e_iterator_next ()

    gboolean            e_iterator_next                     (EIterator *iterator);

`iterator` : |
Returns : |

### e_iterator_prev ()

    gboolean            e_iterator_prev                     (EIterator *iterator);

`iterator` : |
Returns : |

### e_iterator_delete ()

    void                e_iterator_delete                   (EIterator *iterator);

`iterator` : |

### e_iterator_insert ()

    void                e_iterator_insert                   (EIterator *iterator,
                                                             const void *object,
                                                             gboolean before);

`iterator` : |
`object` : |
`before` : |

### e_iterator_set ()

    void                e_iterator_set                      (EIterator *iterator,
                                                             const void *object);

`iterator` : |
`object` : |

### e_iterator_is_valid ()

    gboolean            e_iterator_is_valid                 (EIterator *iterator);

`iterator` : |
Returns : |

### e_iterator_invalidate ()

    void                e_iterator_invalidate               (EIterator *iterator);

`iterator` : |